image: debian:trixie

variables:
  DEBIAN_FRONTEND: noninteractive

build:
  before_script:
  - apt-get update && apt-get install --no-install-recommends -y python3 python3-pip python3-selenium python3-virtualenv chromium-driver make xauth xvfb tesseract-ocr tesseract-ocr-eng tesseract-ocr-fra ocrmypdf
  - ln -s /usr/bin/python3 /usr/bin/python
  - virtualenv --python=/usr/bin/python3 .
  - source bin/activate
  - pip3 install -r requirements.txt
  script:
  - source bin/activate
  - make
  only:
  - main
  cache:
    key: $CI_COMMIT_REF_SLUG
    paths:
      - data/
  artifacts:
    paths:
    - output.log
    expire_in: 1 year
